VIN OCR API Documentation
Welcome to Vehicle Databases API's Documentation
VIN OCR
POSTRate LimitedJSON ResponseOverview
This API endpoint reads a VIN number from the VIN sticker, dashboard, vehicle documents or any image. It will take an image as an input and returns the VIN number.
- COVERAGE
- This API endpoint returns the 17 characters vin number from the image.
- SUPPORTED FORMATS
- PNG, JPG, and JPEG image formats are supported.
HTTP Request
Endpoint
POST
https://api.vehicledatabases.com/vin-ocrRequest
import requests
response = requests.post(
"https://api.vehicledatabases.com/vin-ocr",
headers={"x-authkey":"YOUR_API_KEY"}
files=[
('file',('test.jpg',open('test.jpg','rb'),'image/jpeg'))
]
)
print(response.json())GET Parameters
fileRequired- Image file having a VIN number
JSON Response
This API returns vin number.
Example Response
status- success or error
data- Provides license plate and state
Response
{
"status": "success",
"data": {
"vin":"KMH8KNTEST1234567"
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400No Record(s) were found.Check the uploaded image that VIN number is clearly visible.
401Invalid API key.Provide a valid API key.
404API endpoint not foundCheck the API endpoint URL.
429Rate limit exceededReduce request frequency to comply with rate limits.